# Module treap

- Data Types
- Function Index
- Function Details

## Data Types

### hashkey()

`hashkey() = {non_neg_integer(), any()}`

### treap()

`treap() = {hashkey(), any(), any(), treap(), treap()} | nil`

## Function Index

delete/2 |
delete_root/1 |
empty/0 |
fold/3 |
from_list/1 |
get_root/1 |
insert/4 |
is_empty/1 |
lookup/2 |
to_list/1 |

## Function Details

### delete/2

`delete(Key, Tree) -> any()`

### delete_root/1

`delete_root(X1) -> any()`

### empty/0

`empty() -> any()`

### fold/3

`fold(F, Acc, X3) -> any()`

### from_list/1

`from_list(List) -> any()`

### get_root/1

`get_root(X1) -> any()`

### insert/4

`insert(Key, Priority, Value, Tree) -> any()`

### is_empty/1

`is_empty(X1) -> any()`

### lookup/2

`lookup(Key, Tree) -> any()`

### to_list/1

`to_list(Tree) -> any()`

Generated by EDoc, Dec 17 2015, 23:20:00.